Subject: Re: [RFC V3 1/2] I'dcfg80211: Move the definition of struct mac_address up

From: Vasanthakumar Thiagarajan <[email-masked]>
Date: Fri, 7 Dec 2012 12:26:03 +0530

On Friday 07 December 2012 11:08 AM, Joe Perches wrote:
> On Fri, 2012-12-07 at 09:47 +0530, Vasanthakumar Thiagarajan wrote:
>> struct mac_address will be used by ACL related configuration ops.
>
> I'd prefer that any new code _not_ use struct mac_address
> but use u8 addr[ETH_ALEN] instead.
>
> That's the most common style in the kernel.

Ok, but struct mac_address looked handy when I want
to deal with list of mac address instead using linked
list. Thanks!

Vasanth
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html